---
lang: en
title: 'API docs: context-explorer.contextbinding'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.contextbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [ContextBinding](./context-explorer.contextbinding.md)

## ContextBinding class

A wrapper class for context, binding, and its level in the chain

**Signature:**

```typescript
export declare class ContextBinding 
```

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(context, binding, level)](./context-explorer.contextbinding._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `ContextBinding` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[binding](./context-explorer.contextbinding.binding.md)


</td><td>

`readonly`


</td><td>

[JSONObject](./context.jsonobject.md)


</td><td>


</td></tr>
<tr><td>

[context](./context-explorer.contextbinding.context.md)


</td><td>

`readonly`


</td><td>

[JSONObject](./context.jsonobject.md)


</td><td>


</td></tr>
<tr><td>

[id](./context-explorer.contextbinding.id.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[level](./context-explorer.contextbinding.level.md)


</td><td>

`readonly`


</td><td>

number


</td><td>


</td></tr>
</tbody></table>


